/*

  Ignite Online (http://igniteonline.com.au/)
  Daniel Spillere Andrade - 2015
*/


body {
  /* Load Lato font */
  font-family: 'Lato', sans-serif;
  color:#fff;
  
  /* Background image is centered vertically and horisizontally at all times */
  background-position: center center;
  
  /* Background image doesn't tile */
  background-repeat: no-repeat;
  
  /* Background image is fixed in the viewport so that it doesn't move when 
     the content's height is greater than the image's height */
  background-attachment: fixed;
  
  /* This is what makes the background image rescale based
     on the container's size */
  background-size: cover;
  
  /* Set a background color that will be displayed
     while the background image is loading */
  background-color: #fff;

  border-top: 10px solid #fff;
}

a {
  color: #9B2531;
}

.container {
  max-width: 960px;
}

.middle{
  width:380px;
  padding:0 20px 0 20px;
}

.middle-right {
  width: 330px;
}

/* Logo */

.logo {
  background-image: url(../images/logo.png);
  background-size: 94px 94px;
  display: block;
  width: 94px;
  height: 94px;
  cursor:pointer;
  /*margin-top: 40px;*/
}

.logorow{
  height:148px;
  margin-top: 40px;
}

/* Text */

p.doc_txt {
  font-size: 28px;
  font-weight: bold;
  margin-bottom: 0px;
}

p.doc_name {
  font-size:19px;
  margin-bottom: 45px;
  font-weight: 300;
}

p.error_msg {
  font-size: 19px;
  font-weight: 300;
}

/* Buttons */

.button {
  width:100%;
  height: 69px;
  margin-top:20px;
  font-size: 28px;
  font-weight: bold;
  outline: none;
}

a.button {
  padding: 13px 0;
  text-align: center;
}


.loadingbutton {
  background-color: #fff;
  border: 1px solid #fff;
  margin-bottom: 20px;
  transition: all 0.30s ease;
}


.loadingbutton {
  display: none; 
  cursor:wait
}
/*.loadingbutton.visible {display: block}*/

.loadingbutton img {
  vertical-align: middle; 
 -webkit-animation:spin 1s linear infinite;
    -moz-animation:spin 1s linear infinite;
    animation:spin 1s linear infinite;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }

.button:hover, .loadingbutton {
  color:#9B2531;
  background-color: #FFF;
}


.verify, .downbutton, .downlink  {
  color:#fff;
  background-color:rgba(0,0,0,0);
  border: 1px solid #fff;
  margin-bottom: 20px;
  transition: all 0.30s ease;
  text-decoration: none;
}

.verify:hover, .downbutton:hover, .downlink:hover {
  color:#9B2531;
  border: 1px solid #fff;
  background-color: #fff;
  transition: all 0.30s ease;
  text-decoration: none;
}

input[type=text],
input[type=email],
input[type=password]
{
  width:100%;
  height: 69px;
  font-size: 19px;
  font-weight: 300;
  color:#fff;
  border: 1px solid #fff;
  background-color:rgba(255,0,0,0);
  padding: 5px 10px 10px 10px;
  margin-top: 20px;

}
input[type=password]
{
}
textarea{
  width: 100%;
  height: 69px;
  font-size: 19px;
  font-weight: 300;
  color: #fff;
  border: 1px solid #fff;
  background-color: rgba(255,0,0,0);
  padding: 5px 10px 10px 10px;
  margin-top: 20px;

  min-height: 150px;
}
button.register{
  color: #fff;
  background-color: rgba(0,0,0,0);
  border: 1px solid #fff;
  margin-bottom: 20px;
  transition: all 0.30s ease;
  text-decoration: none;
}
button.register:hover{
  background-color: #9B2531;
  border-color: #9B2531;
  color: #fff;

}
p.thin{font-weight: 100;}
p.thin a{
  font-weight: normal;
  color: #fff;
  text-decoration: underline;
  transition-duration: .4s;
}
p.thin a:hover{
  color: #9B2531;
}

.registration{
  color: #fff;
  font-weight: 100;

}
.registration a{
  color: #fff;
  background-color: transparent;
  display: inline;
  transition-duration: .4s;
  text-decoration: underline;
  font-weight: normal;

}

.registration a:hover {
  color: #9B2531;
  border-color:#9B2531;
}

input.form_control.purpose{
  height: 0;
  width: 0;
  visibility: hidden;
  min-height: 0;
  margin: 0;
  padding: 0;
  border: 0;
  position: absolute;
}
/*Placeholder*/

::-webkit-input-placeholder {
   color: white;
}

:-moz-placeholder { /* Firefox 18- */
   color: white  
}

::-moz-placeholder {  /* Firefox 19+ */
   color: white;  
}

:-ms-input-placeholder {  
   color: white;  
}

.box { 
  transform: perspective( 600px ) rotateY( -45deg ); 
  transition: all 0.30s ease;
}

.box .image img {
  width: 300px;
  height: 350px;
}
.box .shadow { 
  text-align: center; 
  margin-top: 20px; 
  opacity: 0.5;}

.shadow {
  text-align: center;
  margin-top: 20px;
  opacity: 0.5;
}

@media only screen and (max-width: 990px) {
  body {
    /* The file size of this background image is 93% smaller
       to improve page load speed on mobile internet connections */
    background-image: url(../images/bg_high.jpg);
  }

  .logo {
    margin-left: 20px;
    background-size: 65px 65px;
    width: 65px;
    height: 65px;
  }

  .box{
    padding-top: 50px;
  }

  .middle-right{
    margin: 0 auto;
  }
}


/* Retina Friendly */

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) { 
    /* Retina-specific stuff here */
    .logo {
    background-image: url(../images/logo@2x.png);
    background-size: 94px 94px;
    display: block;
    width: 94px;
    height: 94px;
    margin-top: 20px;
    }
}

/* Loading Animation */

.windows8 {
  position: relative;
  width: 32px;
  height:32px;
}

.windows8 .wBall {
position: absolute;
width: 30px;
height: 30px;
opacity: 0;
-moz-transform: rotate(225deg);
-moz-animation: orbit 7.15s infinite;
-webkit-transform: rotate(225deg);
-webkit-animation: orbit 7.15s infinite;
-ms-transform: rotate(225deg);
-ms-animation: orbit 7.15s infinite;
-o-transform: rotate(225deg);
-o-animation: orbit 7.15s infinite;
transform: rotate(225deg);
animation: orbit 7.15s infinite;
}

.windows8 .wBall .wInnerBall{
position: absolute;
width: 4px;
height: 4px;
background: #FFFFFF;
left:0px;
top:0px;
-moz-border-radius: 4px;
-webkit-border-radius: 4px;
-ms-border-radius: 4px;
-o-border-radius: 4px;
border-radius: 4px;
}

.windows8 #wBall_1 {
-moz-animation-delay: 1.56s;
-webkit-animation-delay: 1.56s;
-ms-animation-delay: 1.56s;
-o-animation-delay: 1.56s;
animation-delay: 1.56s;
}

.windows8 #wBall_2 {
-moz-animation-delay: 0.31s;
-webkit-animation-delay: 0.31s;
-ms-animation-delay: 0.31s;
-o-animation-delay: 0.31s;
animation-delay: 0.31s;
}

.windows8 #wBall_3 {
-moz-animation-delay: 0.62s;
-webkit-animation-delay: 0.62s;
-ms-animation-delay: 0.62s;
-o-animation-delay: 0.62s;
animation-delay: 0.62s;
}

.windows8 #wBall_4 {
-moz-animation-delay: 0.94s;
-webkit-animation-delay: 0.94s;
-ms-animation-delay: 0.94s;
-o-animation-delay: 0.94s;
animation-delay: 0.94s;
}

.windows8 #wBall_5 {
-moz-animation-delay: 1.25s;
-webkit-animation-delay: 1.25s;
-ms-animation-delay: 1.25s;
-o-animation-delay: 1.25s;
animation-delay: 1.25s;
}

@-moz-keyframes orbit {
0% {
opacity: 1;
z-index:99;
-moz-transform: rotate(180deg);
-moz-animation-timing-function: ease-out;
}

7% {
opacity: 1;
-moz-transform: rotate(300deg);
-moz-animation-timing-function: linear;
-moz-origin:0%;
}

30% {
opacity: 1;
-moz-transform:rotate(410deg);
-moz-animation-timing-function: ease-in-out;
-moz-origin:7%;
}

39% {
opacity: 1;
-moz-transform: rotate(645deg);
-moz-animation-timing-function: linear;
-moz-origin:30%;
}

70% {
opacity: 1;
-moz-transform: rotate(770deg);
-moz-animation-timing-function: ease-out;
-moz-origin:39%;
}

75% {
opacity: 1;
-moz-transform: rotate(900deg);
-moz-animation-timing-function: ease-out;
-moz-origin:70%;
}

76% {
opacity: 0;
-moz-transform:rotate(900deg);
}

100% {
opacity: 0;
-moz-transform: rotate(900deg);
}

}

@-webkit-keyframes orbit {
0% {
opacity: 1;
z-index:99;
-webkit-transform: rotate(180deg);
-webkit-animation-timing-function: ease-out;
}

7% {
opacity: 1;
-webkit-transform: rotate(300deg);
-webkit-animation-timing-function: linear;
-webkit-origin:0%;
}

30% {
opacity: 1;
-webkit-transform:rotate(410deg);
-webkit-animation-timing-function: ease-in-out;
-webkit-origin:7%;
}

39% {
opacity: 1;
-webkit-transform: rotate(645deg);
-webkit-animation-timing-function: linear;
-webkit-origin:30%;
}

70% {
opacity: 1;
-webkit-transform: rotate(770deg);
-webkit-animation-timing-function: ease-out;
-webkit-origin:39%;
}

75% {
opacity: 1;
-webkit-transform: rotate(900deg);
-webkit-animation-timing-function: ease-out;
-webkit-origin:70%;
}

76% {
opacity: 0;
-webkit-transform:rotate(900deg);
}

100% {
opacity: 0;
-webkit-transform: rotate(900deg);
}

}

@-ms-keyframes orbit {
0% {
opacity: 1;
z-index:99;
-ms-transform: rotate(180deg);
-ms-animation-timing-function: ease-out;
}

7% {
opacity: 1;
-ms-transform: rotate(300deg);
-ms-animation-timing-function: linear;
-ms-origin:0%;
}

30% {
opacity: 1;
-ms-transform:rotate(410deg);
-ms-animation-timing-function: ease-in-out;
-ms-origin:7%;
}

39% {
opacity: 1;
-ms-transform: rotate(645deg);
-ms-animation-timing-function: linear;
-ms-origin:30%;
}

70% {
opacity: 1;
-ms-transform: rotate(770deg);
-ms-animation-timing-function: ease-out;
-ms-origin:39%;
}

75% {
opacity: 1;
-ms-transform: rotate(900deg);
-ms-animation-timing-function: ease-out;
-ms-origin:70%;
}

76% {
opacity: 0;
-ms-transform:rotate(900deg);
}

100% {
opacity: 0;
-ms-transform: rotate(900deg);
}

}

@-o-keyframes orbit {
0% {
opacity: 1;
z-index:99;
-o-transform: rotate(180deg);
-o-animation-timing-function: ease-out;
}

7% {
opacity: 1;
-o-transform: rotate(300deg);
-o-animation-timing-function: linear;
-o-origin:0%;
}

30% {
opacity: 1;
-o-transform:rotate(410deg);
-o-animation-timing-function: ease-in-out;
-o-origin:7%;
}

39% {
opacity: 1;
-o-transform: rotate(645deg);
-o-animation-timing-function: linear;
-o-origin:30%;
}

70% {
opacity: 1;
-o-transform: rotate(770deg);
-o-animation-timing-function: ease-out;
-o-origin:39%;
}

75% {
opacity: 1;
-o-transform: rotate(900deg);
-o-animation-timing-function: ease-out;
-o-origin:70%;
}

76% {
opacity: 0;
-o-transform:rotate(900deg);
}

100% {
opacity: 0;
-o-transform: rotate(900deg);
}

}

@keyframes orbit {
0% {
opacity: 1;
z-index:99;
transform: rotate(180deg);
animation-timing-function: ease-out;
}

7% {
opacity: 1;
transform: rotate(300deg);
animation-timing-function: linear;
origin:0%;
}

30% {
opacity: 1;
transform:rotate(410deg);
animation-timing-function: ease-in-out;
origin:7%;
}

39% {
opacity: 1;
transform: rotate(645deg);
animation-timing-function: linear;
origin:30%;
}

70% {
opacity: 1;
transform: rotate(770deg);
animation-timing-function: ease-out;
origin:39%;
}

75% {
opacity: 1;
transform: rotate(900deg);
animation-timing-function: ease-out;
origin:70%;
}

76% {
opacity: 0;
transform:rotate(900deg);
}

100% {
opacity: 0;
transform: rotate(900deg);
}

}

.select2{
  width: 100% !important;
  margin-top: 20px !important;
}

.select2-container--default .select2-selection--single{
  font-size: 19px !important;
  font-weight: 300 !important;
  border: 1px solid #fff !important;
  background-color: rgba(255,0,0,0) !important;
  padding: 19px 10px 10px 10px !important;
  height: 69px !important;
  border-radius: 0 !important;
}

.select2-container--default .select2-selection--single span{
  color: #fff !important;

}
.select2-results__option{
  font-size: 19px !important;
  font-weight: 300 !important;
  border: 1px solid #fff !important;
  background-color: rgba(255,0,0,0) !important;
  padding: 19px 10px 10px 10px !important;
  height: 69px !important;
  border-radius: 0 !important;
  color: darkgrey;
}

.select2-container--default .select2-results__option--highlighted[aria-selected]{
  background-color: darkgrey !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow{
  top: 20px !important;
  right: 11px !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b{
  border-color: #fff transparent transparent transparent !important;
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b{
  border-color: #fff transparent transparent transparent !important;
}

